post
https://api.testwyre.com/v3/apple-pay/process/partner
Create an Apple Pay wallet order
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Requires Setup
To start using Apple Pay you must first set it up by following the Apple Pay Setup Guide
Apple Pay Setup
Apple Pay Order Integration
{
partnerId: "YOUR_PARTNER_ACCOUNT_ID",
payload: {
"paymentObject": {
"billingContact": {
"addressLines": [
"street address"
],
"administrativeArea": "IL",
"country": "United States",
"countryCode": "US",
"familyName": "LastName",
"givenName": "Your 1st name",
"locality": "San Francisco",
"postalCode": "94103", <- must be 5 digits, values like 94103-9123 are not accepted.
"subAdministrativeArea": "",
"subLocality": ""
},
"shippingContact": { <-- required for now, plans to remove it and use only billingAddress in the future
"addressLines": [
"street address line 1",
"street address line 2"
],
"administrativeArea": "CA",
"country": "United States",
"countryCode": "US",
"emailAddress": "[email protected]",
"familyName": "name",
"givenName": "last name",
"locality": "San Francisco",
"phoneNumber": "+14100000000", <- All numeric and prefixed with country code (e.g. "+1")
"postalCode": "60606",
"subAdministrativeArea": "",
"subLocality": ""
},
"token": {
"paymentData": { <- this payment object might change over time, pass it as you receive from apple. Some properties might be added or removed by apple.
"version": "EC_v1",
"data": "riA5V0TMKrV.....jzl=",
"signature": "...",
"header": {
"ephemeralPublicKey": "",
"publicKeyHash": "",
"transactionId": ""
}
},
"paymentMethod": {
"displayName": "Visa 1234",
"network": "Visa",
"type": "debit"
},
"transactionIdentifier": ""
}
},
"orderRequest": {
"amount": "1.84", <- USD amount include fees
"destCurrency": "ETH",
"sourceCurrency": "USD",
"ipAddress": "end_user_ip_address",
"reservationId": "reservationId",
"dest": "ethereum:0x9E01E0E60dF079136a7a1d4ed97d709D5Fe3e341", <- blockchain address or any wallet in the wyre system
"referenceId": "your_reference_id_goes_here_as_a_String" <- this is completely optional
"referrerAccountId": "{PARTNER_ACCOUNT_ID}" <- this is a placeholder, remove the {} and keep only your account id.
}
}
}
